Name:           telepathy-mission-control
Version:        4.22
Release:        2%{?dist}
Summary:        Central control for Telepathy connection manager

Group:          System Environment/Libraries
License:        LGPL
URL:            http://mission-control.sourceforge.net/
Source0:        http://download.sourceforge.net/mission-control/%{name}-%{version}.tar.gz
#fix build on x86_64
Patch0:         telepathy-mission-control-size_t_vs_guint.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libtelepathy-devel, libxslt-devel, GConf2-devel 

%description
Mission Control, or MC, is a Telepathy component providing a way for
"end-user" applications to abstract some of the details of connection
managers, to provide a simple way to manipulate a bunch of connection
managers at once, and to remove the need to have in each program the
account definitions and credentials.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       libtelepathy-devel, dbus-devel, dbus-glib-devel

%description    devel
The %{name}-devel package contains libraries and header
files for developing applications that use %{name}.


%prep
%setup -q
%patch0 -p0

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

#need to own this dir
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mission-control/profiles

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_bindir}/*
%dir %{_datadir}/mission-control/profiles
%{_libdir}/*.so.*
%{_datadir}/dbus-1/services/*.service

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%doc %{_datadir}/gtk-doc/html/libmissioncontrol
%doc %{_datadir}/gtk-doc/html/libmissioncontrol-server


%changelog
* Sat Jun 02 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 4.22-2
- Add missing requires on -devel package
* Sat May 26 2007 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 4.22-1
- Initial build
